<template>
    <ClientOnly>
        <input v-model="circle_diameter"/>
        <input v-model="x_coord"/>
        <input v-model="y_coord"/>
    
        <button @click="updateDrawing">Test</button>

        <p>{{ test }}</p>

        <canvas resize ref="paperCanvas" id="main-canvas" class="maincanvas">{{ circle_diameter }}</canvas>

        <div v-if="circle_diameter < 0" circle_diameter="true">Hallo</div>

    </ClientOnly>
</template>

<script type="text/paperscript" canvas="main-canvas"/>

<script setup>
import paper from 'paper/dist/paper-core'
/*import voronoi from 'voronoi';*/
const paperCanvas = ref(null)
const x_coord = ref(600)
const y_coord = ref(700)
const circle_diameter = ref(500)
const test = ref(null)

function updateDrawing() {
  paper.setup(document.getElementById('main-canvas'))
  // Now, draw your things based on component state.
  const point = new paper.Point(x_coord.value, y_coord.value)
 
  const circle = new paper.Path.Circle(point, circle_diameter.value/2)
  test.value = point
  const rectangle = new paper.Rectangle();

  circle.fillColor = 'grey'
  circle.strokeColor = 'black'
  
  console.log("Hallo Test")

}

watch([circle_diameter,x_coord,y_coord], () => {
  updateDrawing()

})


onMounted(() => {     
paper.setup(paperCanvas.value)
updateDrawing() 
} )


</script>


<style>
.maincanvas{
  width : 100%;
  height : 100%;
}
</style>
